<?php
$lib_common = '../../../lib-common.php';
include($lib_common);
echo COM_siteHeader();
echo COM_startBlock('Connectivity Test');
include('../../../weather/phpweather.inc'); 
// Only let admin users access this page
if (!SEC_hasRights('weather.admin')) {    
// Someone is trying to illegally access this page
    COM_errorLog("Someone has tried to illegally access the Weather plugin install documentation.  User id: {$_USER['uid']}, Username: {$_USER['username']}, IP: $REMOTE_ADDR",1);
    $display = COM_siteHeader();
    $display .= COM_startBlock($LANG_GW00['access_denied']);
    $display .= $LANG_GW00['access_denied_msg'];
    $display .= COM_endBlock();
    $display .= COM_siteFooter(true);
    echo $display;
    exit;
}     
?>

<p>This page will test the connection from this webserver to the
      NWS.  A connection timeout should fail gracefully.</p>
      
<h2>Test with <code>fopen()</code></h2>

<?

$_WEATHER_fpTIMER = new timerobject();
$_WEATHER_fpTIMER->startTimer();

$dir = '/data/observations/metar/stations/EKYT.TXT';
$fp = fopen('http://weather.noaa.gov/pub' . $dir,'r');


if ($fp) {
  success("Connection established to <code>http://weather.noaa.gov/</code>.");

  /* We set the timeout here */   
  $start = time();
  socket_set_timeout($fp,2);
  socket_set_blocking($fp,FALSE);  
  $buffer = '';
  while (!feof($fp)) {
      $buffer .= fgets($fp,4096);
  }
  /* Close connection */
  var_dump(socket_get_status($fp));
  fclose($fp);
  echo "<br><br>---------buffer contents---------------<br>"; 
  echo $buffer;
  echo "<br>---------------------------------------<br>"; 
} else {
    error("Unable to establish connection to <code>http://weather.noaa.gov/</code>.");
}

echo "<br>Finished in <b>";
echo $_WEATHER_fpTIMER->stopTimer();
echo "</b> seconds.";
?>      

<h2>Test with <code>fsockopen()</code></h2><p>

<?php
  
  function success($msg) {
    echo "<p><b><span style=\"color: green\">Success</span>:</b> $msg</p>\n";
  }

  function error($msg) {
    echo "<p><b><span style=\"color: red\">Error</span>:</b> $msg</p>\n";
  }

?>

<?php

$_WEATHER_fsockopenTIMER = new timerobject();
$_WEATHER_fsockopenTIMER->startTimer();

$host = 'weather.noaa.gov';
$path = "/pub/data/observations/metar/stations/EKYT.TXT";

if (!empty($HTTP_GET_VARS['proxy_host']) &&
    !empty($HTTP_GET_VARS['proxy_port'])) {
  $use_proxy = true;
  $proxy_host = $HTTP_GET_VARS['proxy_host'];
  $proxy_port = $HTTP_GET_VARS['proxy_port'];
  $fp = @fsockopen($proxy_host, $proxy_port);
  $location = 'http://' . $host . $path;
} else {
  $use_proxy = false;
  $proxy_host = '';
  $proxy_port = '';
  $fp = @fsockopen($host, 80);
  $location = $path;
}

$request =
  "GET $location HTTP/1.1\r\n" .
  "If-Modified-Since: Sat, 29 Oct 1994 09:00:00 GMT\r\n" .
  "Pragma: no-cache\r\n".
  "Cache-Control: no-cache\r\n" .
  "Host: $host\r\n" .
  "Content-Type: text/html\r\n" .
  "Connection: Close\r\n\r\n";

if ($fp) {
  if ($use_proxy)
    success("Connection established to <code>$host</code> " .
            "via <code>$proxy_host:$proxy_port</code>.");
  else
    success("Connection established to <code>$host:80</code>.");

  fputs($fp, $request);
  /* We set the timeout here */   
  $start = time();
  socket_set_timeout($fp,2);  
  socket_set_blocking($fp,FALSE);
 
  /* Close connection */  
  fclose($fp); 
   
} else {

  if ($use_proxy)
    error("Unable to establish connection to <code>$host</code> " .
          "via <code>$proxy_host:$proxy_port</code>.");
  else
    error("Unable to establish connection to <code>$host:80</code>.");

}

echo "<br>Finished in <b>";
echo $_WEATHER_fsockopenTIMER->stopTimer();
echo "</b> seconds.";


?>

<p>If you have to use a proxy for outbound connections, then please
specify the hostname and port to use:</p>

<form action="<?php echo $HTTP_SERVER_VARS['PHP_SELF'] ?>"
method="GET">

<p>Proxy host: <input name="proxy_host" type="text" value="<?php echo
$proxy_host ?>" size="16" />&nbsp;<code>:</code>&nbsp;<input
name="proxy_port" type="text" value="<?php echo $proxy_port ?>"
size="5" /> <input type="submit" value="Update" /> <input type="reset" /></p>

</form>
<?
echo COM_endBlock();
echo COM_siteFooter(false);
?>
