<?php

require_once('../../../lib-common.php');

// Only let admin users access this page
if (!SEC_inGroup('Root')) {    
// Someone is trying to illegally access this page
    COM_errorLog("Someone has tried to illegally access the Weather plugin install documentation.  User id: {$_USER['uid']}, Username: {$_USER['username']}, IP: $REMOTE_ADDR",1);
    $display = COM_siteHeader();
    $display .= COM_startBlock($LANG_GW00['access_denied']);
    $display .= $LANG_GW00['access_denied_msg'];
    $display .= COM_endBlock();
    $display .= COM_siteFooter(true);
    echo $display;
    exit;
}
 
/**
* Main 
*/

$display .= COM_siteHeader();
$display .= COM_startBlock('Weather Plugin Install');

$display .= 'Install/Uninstall instruction for the Geeklog Weather plugin.<p>';
$display .= '<b>INSTALL:</b><p>';

$display .= 'Step 1:  Back up your Geeklog Database.  The weather plugin adds tables to your Geeklog database.  You can do this with the built in admin backup facility.<p>';

$display .= 'Step 2:  Uncompress the weather plugin archive while in the <geeklog_dir>/plugins directory.  The archive will create a directory called weather in the plugins directory.<p>';

$display .= 'Step 3:  Create the public_html and admin directories.  Under your html directory (usually public_html) create a directory called weather.  Under your admin/plugins/ directory create a directory called weather.<p>';

$display .= 'Step 4:  Change to your <geeklog_dir>/plugins/weather/ directory.  Copy the files in the admin directory to the admin/plugins/weather/ directory your created in step 3.  Copy the files and directories in the public_html directory to the public_html/weather/ directory your created in step 3.<p>';

$display .= 'Step 5:  Edit the config.php in the weather directory.  There are several new variables that control the behavior of the Weather plugin.  The variables are self explanatory.<p>';

$display .= 'Step 6:  Log in to your Geeklog as a root user and run install.php in your admin/plugins/weather/ directory.  The install page will tell you if the install was successful or not.  If not examine Geeklog system error log for possible problems.<p>';

$display .= 'Step 7:  Load the stations.sql file in /<geeklog_dir>plugins/weather/data.  Use a tool like <a href="http://www.phpmyadmin.net/" target=_new>phpMyAdmin</a>.<p>';

$display .= '<b>The weather plugin should now be installed and functioning.  Clicking on the weather icon will take you to the admin page.</b><p>';  

$display .= 'Step 8: Set up security.  On install only the root users have access to weather administration and viewing.  You can delegate control for either of these functions through the user and group editors.<p>';

$display .= 'Step 9:  Add the .middleboxtitle class to each of your template files (style.css) located under the public_html/layout directory. Customize the colors to please.  A sample for the Simple_Orange theme is provided in public_html/weather/style.css<p>'; 

$display .= '<b>UNINSTALL:</b><p>';

$display .= 'Step 1:  Run the install.php page in your admin/plugins/weather directory.  This will remove all the data from your database.<p>';

$display .= 'Step 2:  Delete the three plugin directories created in the install process:  <geeklog-dir>plugins/weather/<public_html>/weather/ and <admin>/plugins/weather/<p>';

$display .= 'Thats it.';

$display .= COM_endBlock();
$display .= COM_siteFooter();
echo $display;
?>
