<?php

// +---------------------------------------------------------------------------+
// | lang.php                                                                  |
// | This is the English language page for the Geeklog Generic Plug-in!        |
// |                                                                           |
// +---------------------------------------------------------------------------|
// | Copyright (C) 2002 by the following authors:                              |
// |                                                                           |
// | Author:                                                                   |
// | Constructed with the Universal Plugin                                     |
// | Copyright (C) 2002 by the following authors:                              |
// | Tom Willett                 -    twillett@users.sourceforge.net           |
// | Blaine Lang                 -    langmail@sympatico.ca                    |
// | The Universal Plugin is based on prior work by:                           | 
// | Tony Bibbs                  -    tony@tonybibbs.com                       |
// +---------------------------------------------------------------------------|
// | This program is free software; you can redistribute it and/or             |
// | modify it under the terms of the GNU General Public License               |
// | as published by the Free Software Foundation; either version 2            |
// | of the License, or (at your option) any later version.                    |
// |                                                                           |
// | This program is distributed in the hope that it will be useful,           |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
// | GNU General Public License for more details.                              |
// |                                                                           |
// | You should have received a copy of the GNU General Public License         |
// | along with this program; if not, write to the Free Software               |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA|
// |                                                                           |
// +---------------------------------------------------------------------------|

//weather plugin
$LANG_GW00 = array (
        'plugin'            => 'Plugin',
	'access_denied'     => 'Access Denied',
	'access_denied_msg' => 'Only Root Users have Access to this Page.  Your user name and IP have been recorded.',
	'admin'		    => 'Weather Plugin Admin',
	'install_header'    => 'Install/Uninstall Plugin',
	'installed'         => 'The Plugin is Installed',
	'uninstalled'       => 'The Plugin is Not Installed',
	'install_success'   => 'Installation Successful',
	'install_failed'    => 'Installation Failed -- See your error log to find out why.',
	'uninstall_msg'	    => 'Plugin Successfully Uninstalled',
	'install'           => 'Install',
	'uninstall'         => 'UnInstall',
        'warning'           => 'Warning! Plugin is still Enabled',
    	'enabled'           => 'Disable plugin before uninstalling.',
    	'readme'            => 'STOP! Before you press install please read the ',
    	'installdoc'        => 'Install Document.'
);

/* Unsets old language variables and loads new ones. */
if (isset($strings)) {
  /* The strings array is loaded - assume the same for the rest. */
  unset($strings);
  unset($wind_dir_text_short_array);
  unset($wind_dir_text_array);
  unset($weather_array);
  unset($cloud_condition_array);
}

//weather block strings
$strings = array(
  'no_data'               => 'Sorry! There is no data available!',
  'settings'		  => 'Click Settings to update your weather preferences.',
  'register'		  => 'Please login to configure your preferred weather location.',
  'forecast'		  => '7-Day Forecast',
  'details'		  => 'More Details',
  'configure'		  => 'Settings',
  'personalize'		  => 'Personalize your weather by setting your weather preferences below.',
  'current'		  => 'Your current default weather location is',
  'global'		  => 'The current site global weather location is',
  'set_current'		  => 'Your default weather location is not set.  Click the <b>Seta as Default</b> link next to your preferred city to set a default location.',  	
  'set_global'            => 'The site currently has no global default weather lcoation.  Click the <b>Set As Global Default</b> link next to your preferred city to set a global default location.',
  'show_temp'		  => 'Show temperature in:',
  'fahrenheit'  	  => 'Fahrenheit',
  'celsius'		  => 'Celsius',
  'set_button'		  => 'Set',
  'add_button'		  => 'Add',
  'go_button'		  => 'Go',
  'update_button'	  => 'Update',
  'select'		  => 'Select a default',
  'location'		  => 'weather location:',
  'edit'		  => 'Edit',
  'delete'		  => 'Delete',
  'show'		  => 'Show',
  'my_default'		  => 'My Default',	
  'global_default'        => 'Global Default',
  'make_default'	  => 'Set as Default',	
  'make_global'		  => 'Set as Global Default',
  'default'		  => 'Default',		
  'add'			  => '<b>Add a new weather location (click <a href="http://weather.noaa.gov/weather/ccworld.html" target=_new>here</a> for a list of metars):',
  'city'		  => 'City:',
  'zip'			  => 'Zip Code (US Only):',
  'region'		  => 'Region',
  'metar'		  => 'METAR code:',
  'tools'		  => 'Weather Tools:',  
  'cache'		  => 'Flush Cache:',
  'contest'		  => 'Connectivity Test:',
  'speedtest'		  => 'Speed Test:',
  'datatest'		  => 'Data Test:',
  'click'		  => 'Click',
  'here'		  => 'here',
  'save'		  => 'Your weather settings have been updated.',
  'redirect'		  => 'If the page does not automatically reload, please click',
  'update'		  => 'to updates all the metars in the database.  This may take several seconds.',
  'connection'		  => 'to verify your servers connection to the NWS site.',
  'speed'		  => 'to determine how long it takes to access the data in your Geeklog database.',
  'testdata'		  => 'Test METAR:',
  'data'		  => 'Enter a METAR below to verify the data returned from NWS.',
  'region_select'	  => 'Select a default weather region:',
  'region_form'		  => '--Select a Region--',
  'city_form'		  => '--Select a City--',
  'city_form2'		  => 'City:',
  'search_form'		  => 'Zip Code:',  
  'show_forecast'	  => 'Show Forecast (US Only):',
  'yes'			  => 'Yes',
  'no'  		  => 'No',
  'remove'		  => 'Remove Entry',
  'confirm_del'		  => 'Do you want to remove',
  'back'		  => 'Back',
  'edit_entry'		  => 'Edit Entry',
  'change'		  => 'Change',
  'to'			  => 'to :',
  'admin_block'		  => 'My Weather Settings',
  'admin_home'		  => 'Global Weather Settings',
  'admin_note'		  => 'To modify a METAR click on the edit link below. To view a METAR, click on the show link of the location you wish to view. To create a new METAR fill out the add new weather location form below. Click the delete link to remove a METAR from your database.',
  'plugin_admin'	  => 'Weather Plugin Admin',
  'warn'		  => 'You cannot change the global default',
  'warn_2'		  => 'You do not have permission to add a location',
  'register_block'	  => 'Please Register',
  'details_block'	  => 'Weather Details',
  'detail_label1'	  => 'Clouds',
  'detail_label2'	  => 'Visibility',
  'detail_label3'	  => 'Wind',
  'detail_label4'	  => 'Pressure',
  'detail_label5'	  => 'Dew Point',
  'detail_label6'	  => 'Humidity',
  'detail_label7'	  => 'Precipitation',
  'detail_label8'	  => 'Windchill',
  'na'			  => 'No Data',
  'select_again'	  => 'Please select another location below.',
  '7day'		  => '<b>7-Day Forecast</b>',
  'detailed'		  => '<b>Detailed Forecast</b>',	
  'local'		  => '<b>Current Local Weather</b>', 	
  'radar'		  => '<b>Radar and Satellite Images</b>',	
  'additional'            => '<b>Additional Information</b>',
  'local_data'		  => 'This data is current. The data is automatically refreshed every',
  'old_data'		  => 'This data is',
  'old_data2'		  => 'minutes old.  The data is automatically refreshed every',
  'old_data3'		  => 'minutes.',
  'more_forecast'	  => 'Select a city or enter a zip code to see additional forecasts.',  
  'more_locations'	  => 'More locations:',  
  'my_weather'		  => 'My Weather Settings',
  'my_default2'		  => 'Set',	
  'my_default3'	          => 'as My Default',
  'anonymous'		  => 'In order to take advantage of the weather features you must first',
  'member'		  => '.  Are you already a member?  Then use the login form to the left to log in!',
  'reg'		   	  => 'register',
  'with'		  => 'with ',
  'mm_inches'             => '%s mm (%s inches)',
  'precip_a_trace'        => 'a trace',
  'precip_there_was'      => 'There is %s of precipitation ',
  'sky_str_format1'       => 'There is %s at a height of %s meter (%s feet)',
  'sky_str_clear'         => 'Clear skies, no visible clouds',
  'sky_str_format2'       => ', %s at a height of %s meter (%s feet) and %s at a height of %s meter (%s feet)',
  'sky_str_format3'       => ' and %s at a height of %s meter (%s feet)',
  'sky_str_format4'       => 'Cloud coverage at a height of %s meter (%s feet)',
  'sky_cavok'             => 'There are no clouds below 1,524 meter (5,000 feet)',
  'clouds'                => ' clouds',
  'clouds_cb'             => ' cumulonimbus clouds',
  'clouds_tcu'            => ' towering cumulus clouds',
  'visibility_format'     => 'The visibility is %s kilometers (%s miles).',
  'wind_str_format1'      => 'blowing at a speed of %s meters per second (%s miles per hour)',
  'wind_str_format2'      => ', with gusts to %s meters per second (%s miles per hour)',  
  'wind_str_calm'         => 'calm',
  'wind_vrb_long'         => 'variable directions',
  'wind_vrb_short'        => 'VAR',
  'windchill'             => 'The windchill is %s&nbsp;&deg;C (%s&nbsp;&deg;F) ',
  'precip_last_hour'      => 'in the last hour. ',
  'precip_last_6_hours'   => 'in the last 3 to 6 hours. ',
  'precip_last_24_hours'  => 'in the last 24 hours. ',
  'precip_snow'           => 'There is %s mm (%s inches) of snow on the ground. ',
  'temp_min_max_6_hours'  => 'The maximum and minimum temperatures over the last 6 hours were %s and %s&nbsp;&deg;C (%s and %s&nbsp;&deg;F).',
  'temp_max_6_hours'      => 'The maximum temperature over the last 6 hours was %s&nbsp;&deg;C (%s&nbsp;&deg;F). ',
  'temp_min_6_hours'      => 'The minimum temperature over the last 6 hours was %s&nbsp;&deg;C (%s&nbsp;&deg;F). ',
  'temp_min_max_24_hours' => 'The maximum and minimum temperatures over the last 24 hours were %s and %s&nbsp;&deg;C (%s and %s&nbsp;&deg;F). ',
  'runway_vis'            => 'The visibility for runway %s is %s meters (%s feet).',
  'runway_vis_min_max'    => 'The visibility for runway %s varies between %s meters (%s feet) and %s meters (%s feet).',
  'light'                 => 'Light ',
  'moderate'              => 'Moderate ',
  'Heavy'                 => 'Heavy ',
  'nearby'                => 'Nearby ',
  'current_weather'       => 'Current weather is %s. ',
  'pretty_print_metar'    => '<blockquote><p>%s minutes ago, at %s UTC, the wind was %s in %s. The temperature was %s&nbsp;&deg;C (%s&nbsp;&deg;F), %s and the pressure was %s hPa (%s inHg). The relative humidity was %s%%. %s %s %s %s %s %s</p></blockquote>'
 );

$wind_dir_text_short_array = array(
  'N',
  'N/NE',
  'NE',
  'E/NE',
  'E',
  'E/SE',
  'SE',
  'S/SE',
  'S',
  'S/SW',
  'SW',
  'W/SW',
  'W',
  'W/NW',
  'NW',
  'N/NW',
  'N');

$wind_dir_text_array = array(
  'North',
  'North/Northeast',
  'Northeast',
  'East/Northeast',
  'East',
  'East/Southeast',
  'Southeast',
  'South/Southeast',
  'South',
  'South/Southwest',
  'Southwest',
  'West/Southwest',
  'West',
  'West/Northwest',
  'Northwest',
  'North/Northwest',
  'North');

$weather_array = array(
  'MI' => 'Shallow ',
  'PR' => 'Partial ',
  'BC' => 'Patches ',
  'DR' => 'Low Drifting ',
  'BL' => 'Blowing ',
  'SH' => 'Shower(s) ',
  'TS' => 'Thunderstorm ',
  'FZ' => 'Freezing',
  'DZ' => 'Drizzle ',
  'RA' => 'Rain ',
  'SN' => 'Snow ',
  'SG' => 'Snow Grains ',
  'IC' => 'Ice Crystals ',
  'PE' => 'Ice Pellets ',
  'GR' => 'Hail ',
  'GS' => 'Small Hail and/or Snow Pellets ',
  'UP' => 'Unknown ',
  'BR' => 'Mist ',
  'FG' => 'Fog ',
  'FU' => 'Smoke ',
  'VA' => 'Volcanic Ash ',
  'DU' => 'Widespread Dust ',
  'SA' => 'Sand ',
  'HZ' => 'Haze ',
  'PY' => 'Spray',
  'PO' => 'Well-Developed Dust/Sand Whirls ',
  'SQ' => 'Squalls ',
  'FC' => 'Funnel Cloud Tornado Waterspout ',
  'SS' => 'Sandstorm/Duststorm ');

$cloud_condition_array = array(
  'SKC' => 'clear',
  'CLR' => 'clear',
  'VV'  => 'vertical visibility',
  'FEW' => 'a few',
  'SCT' => 'scattered',
  'BKN' => 'broken',
  'OVC' => 'overcast');
?>
