<?php
$lib_common = '../lib-common.php';
include($lib_common);

global $_CONF, $strings, $_GW_default_tp;

function get_image($data)
{

$metar = $data['metar'];
$parts = explode(' ', $metar);
$num_parts = count($parts);
$night = 0;
$maxcoverage = 0;

$abs_image_path = 'images/';
$sky_nodata_image = 'sky_nodata.gif';

$phenomena_array = array (
  '#'  => 'None',
  'TS' => 'Thun',
  'RA' => 'Rain',
  'DZ' => 'Rain',
  'SN' => 'Snow',
  'SG' => 'Snow',
  'GR' => 'Hail',
  'GS' => 'Hail',
  'PE' => 'Hail',
  'IC' => 'Hail',
  'BR' => 'Fog',
  'FG' => 'Fog'
);

$coverage = array (
  'CLR' => '0',
  'SKC' => '0',
  'FEW' => '1',
  'SCT' => '2',
  'BKN' => '3',
  'OVC' => '4',
  'VV'  => '4'
);


$images = array (
  'None'  => array ('0' => '0cloud.gif',
                    '1' => '1cloud_norain.gif',
                    '2' => '2cloud_norain.gif',
                    '3' => '3cloud_norain.gif',
                    '4' => '4cloud_norain.gif'),
  '-Rain' => array ('0' => '0cloud.gif',
                    '1' => '1cloud_lightrain.gif',
                    '2' => '2cloud_lightrain.gif',
                    '3' => '3cloud_lightrain.gif',
                    '4' => '4cloud_lightrain.gif'),
  'Rain'  => array ('0' => '0cloud.gif',
                    '1' => '1cloud_modrain.gif',
                    '2' => '2cloud_modrain.gif',
                    '3' => '3cloud_modrain.gif',
                    '4' => '4cloud_modrain.gif'),
  '+Rain' => array ('0' => '0cloud.gif',
                    '1' => '1cloud_heavyrain.gif',
                    '2' => '2cloud_heavyrain.gif',
                    '3' => '3cloud_heavyrain.gif',
                    '4' => '4cloud_heavyrain.gif'),
  '-Snow' => array ('0' => '0cloud.gif',
                    '1' => '2cloud_snow.gif',
                    '2' => '2cloud_snow.gif',
                    '3' => '3cloud_snow.gif',
                    '4' => '4cloud_lightsnow.gif'),
  '+Snow' => array ('0' => '0cloud.gif',
                    '1' => '2cloud_snow.gif',
                    '2' => '2cloud_snow.gif',
                    '3' => '3cloud_snow.gif',
                    '4' => '4cloud_heavysnow.gif'),
  '-Hail' => array ('0' => '0cloud.gif',
                    '1' => '2cloud_hail.gif',
                    '2' => '2cloud_hail.gif',
                    '3' => '3cloud_hail.gif',
                    '4' => '4cloud_lighthail.gif'),
  '+Hail' => array ('0' => '0cloud.gif',
                    '1' => '2cloud_hail.gif',
                    '2' => '2cloud_hail.gif',
                    '3' => '3cloud_hail.gif',
                    '4' => '4cloud_heavyhail.gif'),
  'Thun'  => array ('0' => '0cloud.gif',
                    '1' => '2cloud_thunders.gif',
                    '2' => '2cloud_thunders.gif',
                    '3' => '3cloud_thunders.gif',
                    '4' => '4cloud_thunders.gif'),
  'Fog'   => array ('0' => '0cloud_fog.gif',
                    '1' => '1cloud_fog.gif',
                    '2' => '2cloud_fog.gif',
                    '3' => '3cloud_fog.gif',
                    '4' => '4cloud_fog.gif')
  );

$n_images = array (
  'None'   => array ('0' => 'n_0cloud.gif',
                     '1' => 'n_1cloud_norain.gif',
                     '2' => 'n_2cloud_norain.gif',
                     '3' => 'n_3cloud_norain.gif',
                     '4' => '4cloud_norain.gif'),
  '-Rain'  => array ('0' => 'n_0cloud.gif',
                     '1' => 'n_1cloud_lightrain.gif',
                     '2' => 'n_2cloud_lightrain.gif',
                     '3' => 'n_3cloud_lightrain.gif',
                     '4' => '4cloud_lightrain.gif'),
  'Rain'   => array ('0' => 'n_0cloud.gif',
                     '1' => 'n_1cloud_modrain.gif',
                     '2' => 'n_2cloud_modrain.gif',
                     '3' => 'n_3cloud_modrain.gif',
                     '4' => '4cloud_modrain.gif'),
  '+Rain'  => array ('0' => 'n_0cloud.gif',
                     '1' => 'n_1cloud_heavyrain.gif',
                     '2' => 'n_2cloud_heavyrain.gif',
                     '3' => 'n_3cloud_heavyrain.gif',
                     '4' => '4cloud_heavyrain.gif'),
  '-Snow'  => array ('0' => 'n_0cloud.gif',
                     '1' => 'n_2cloud_snow.gif',
                     '2' => 'n_2cloud_snow.gif',
                     '3' => 'n_3cloud_snow.gif',
                     '4' => '4cloud_lightsnow.gif'),
  '+Snow'  => array ('0' => 'n_0cloud.gif',
                     '1' => 'n_2cloud_snow.gif',
                     '2' => 'n_2cloud_snow.gif',
                     '3' => 'n_3cloud_snow.gif',
                     '4' => '4cloud_heavysnow.gif'),
  '-Hail'  => array ('0' => 'n_0cloud.gif',
                     '1' => 'n_2cloud_hail.gif',
                     '2' => 'n_2cloud_hail.gif',
                     '3' => 'n_3cloud_hail.gif',
                     '4' => '4cloud_lighthail.gif'),
  '+Hail'  => array ('0' => 'n_0cloud.gif',
                     '1' => 'n_2cloud_hail.gif',
                     '2' => 'n_2cloud_hail.gif',
                     '3' => 'n_3cloud_hail.gif',
                     '4' => '4cloud_heavyhail.gif'),
  'Thun'   => array ('0' => 'n_0cloud.gif',
                     '1' => 'n_2cloud_thunders.gif',
                     '2' => 'n_2cloud_thunders.gif',
                     '3' => 'n_3cloud_thunders.gif',
                     '4' => '4cloud_thunders.gif'),
  'Fog'    => array ('0' => 'n_0cloud_fog.gif',
                     '1' => 'n_1cloud_fog.gif',
                     '2' => 'n_2cloud_fog.gif',
                     '3' => 'n_3cloud_fog.gif',
                     '4' => '4cloud_fog.gif')
);

for ($i = 0; $i < $num_parts; $i++) {
    $part = $parts[$i];
    
    if (ereg('RMK|TEMPO|BECMG', $part)) {
      /* The rest of the METAR is either a remark or temporary
         information. We skip the rest of the METAR. */
      break;
    } elseif (ereg('([0-9]{2})([0-9]{2})([0-9]{2})Z', $part, $regs)) {
      if (($regs[2] < 8) || ($regs[2] > 22)) {
      	$night = 1;
      }
    }
    elseif (ereg('^(-|\+|VC)?(TS|SH|FZ|BL|DR|MI|BC|PR|RA|DZ|SN|SG|GR|GS|PE|IC|UP|BR|FG|FU|VA|DU|SA|HZ|PY|PO|SQ|FC|SS|DS)+$', $part)) {
      /*
       * Is this the current weather group?
       */ 

      // Get the intensity and get rid of it in the $part string
      $intensity = '';      
      if (ereg('^(-|\+|VC)(..)*$',$part)) {
        if ($part[0] == '-') {
          $intensity = '-';
          $part = substr($part,1);
        } elseif ($part[0] == '+') {
          $intensity = '+';
          $part = substr($part,1);
        } elseif ($part[0] . $part[1] == 'VC') {
          $intensity = '';
          $part = substr($part,2);
        }
      }
      
      // Now, take only the precipitation types that have icons.
      // Ignore the others In case more then one exist, take only the
      // first one (highest predominance).
      ereg('(TS|RA|DZ|SN|SG|GR|GS|PE|IC|BR|FG)(..)*$',$part,$match);
			if ($match[1] != '') {
				$phenomena = $match[1];				
			} else {
        ereg('(..)(TS|RA|DZ|SN|SG|GR|GS|PE|IC|BR|FG)(..)*$',$part,$match);
	  		if ($match[2] != '') {
		  		$phenomena = $match[2];		  		
			  }
			}
      // Not each precipitation type has a single icon with it.
      // Combine similar precipitation types to a phenomena group.
      // I.e. drizzle (DZ) and rain (RA) are both considered to be
      // rain (as far as the icons are concerned). Add intensity only
      // in case of rain and snow.
      if (ereg('^(Snow|Hail)$',$phenomena_array[$phenomena])) {
        if ($intensity == '') {
          $intensity = '-';
        }
      }
            
      if (ereg('^(Rain|Snow|Hail)$',$phenomena_array[$phenomena])) {
        $phenomena_group = $intensity . $phenomena_array[$phenomena];
      } else {
        $phenomena_group = $phenomena_array[$phenomena];
      }	

    }   
				
    // Now check the cloud coverage. There could be three cloud
    // layers, so check for all of them. Iconize the most covered
    // clouds, thus find the highest cloudcoverage layer, by
    // maximizing the $maxcoverage param
      
    elseif (ereg('(SKC|CLR)(...)', $part, $regs)) {
      $maxcoverage = max($maxcoverage,$coverage[$regs[1]]);
//      if ($maxcoverage < $coverage[$regs[1]]) {
//        $maxcoverage = $coverage[$regs[1]];
//      }
    }
    elseif (ereg('^(VV|FEW|SCT|BKN|OVC)([0-9]{3})(CB|TCU)?$', $part, $regs)) {
      $maxcoverage = max($maxcoverage,$coverage[$regs[1]]);
//      if ($maxcoverage < $coverage[$regs[1]]) {
//        $maxcoverage = $coverage[$regs[1]];
//      }
    }
  }
  // If looped through all groups and not found any weather group
  // (meaning no precipitation?), assume a '#' phenomena, resulting in
  // a 'None' phenomena group
  if ($phenomena == '') {
    $phenomena = '#';
    $phenomena_group = $phenomena_array[$phenomena];    
  }
         
  // At this point, the $phenomena_group variable contains the one
  // index of the $images array, while the $maxcoverage variable
  // contains the other index of the $images array. The correct image
  // can be selected from the array.

  if (($night == 1) || ($itime == 'nite')) {     
    $retval .= $abs_image_path . $n_images[$phenomena_group][$maxcoverage];        
  } else {     
    $retval .= $abs_image_path . $images[$phenomena_group][$maxcoverage];    
  } 
    //phpblock_debugWrite(" Phenomena is: " .$phenomena_group);
    return $retval;  
}	

function get_nws($metar, $tp, $region)
{

include('details.inc');

global $_CONF, $_TABLES, $_USER, $HTTP_USER_AGENT, $strings;

$weather = get_metardata($metar);
$data = process_metardata($weather);
$weather_image = get_image($data);
$siteurl = $_CONF['site_url'];
$go = $strings['go_button'];

$sql = "select location from {$_TABLES['weather']} where metar='$metar'";
	$row = DB_fetchArray(DB_query($sql));
	$location = $row[location];

$sql = "select timestamp from {$_TABLES['weather_cache']} where station='$metar'";
	$row = DB_fetchArray(DB_query($sql));
	$timestamp = $row[timestamp];

//phpblock_debugWrite(" Location is: " .$location);
//phpblock_debugWrite(" Region is: " .$region);	

$date_unixtime = time();
$date = date('YmdHis', $date_unixtime);
$cache_age = date('YmdHi', $timestamp);
$minutes_old = round(($date-$timestamp)/60);
$hours_old = round(($minutes_old/60));
//phpblock_debugWrite(" Hours old is: " .$hours_old);
//phpblock_debugWrite(" Minutes old is: " .$minutes_old);
//phpblock_debugWrite(" Time now is: " .$date);
//phpblock_debugWrite(" Cahce age is: " .$timestamp);

if ($tp=='F') {
     $temp = $data['temp_f'];
     $deg = "&nbsp;&deg;F";
     $dew = $data['dew_f'];
} 

if ($tp=='C') {
     $temp = $data['temp_c'];
     $deg = "&nbsp;&deg;C";
     $dew = $data['dew_c'];
}

/* Cloudlayers. */
  if($data['cloud_layer1_condition'] == 'CAVOK') {
    $sky_str = $strings['sky_cavok'];
  } elseif (isset($data['cloud_layer1_altitude_ft'])) {
    
    if ($data['cloud_layer1_condition'] == '') {
    $sky_str = sprintf($strings['sky_str_format4'],  
                       $data['cloud_layer1_altitude_m'],
                       $data['cloud_layer1_altitude_ft']);
                       
    //phpblock_debugWrite(" Sky var1: " .$sky_str);                       
    } else {
    $sky_str = sprintf($strings['sky_str_format4'],    
                       $data['cloud_layer1_condition'],
                       $data['cloud_layer1_altitude_m'],
                       $data['cloud_layer1_altitude_ft']);
                       
   //phpblock_debugWrite(" Sky var2: " .$sky_str);                       
   }                      	  	                                    
    if(isset($data['cloud_layer2_altitude_ft'])) {
      if(isset($data['cloud_layer3_altitude_ft'])) {
      	$sky_str .= sprintf($strings['sky_str_format2'],
                            $data['cloud_layer2_condition'],
                            $data['cloud_layer2_altitude_m'],
                            $data['cloud_layer2_altitude_ft'],
                            $data['cloud_layer3_condition'],
                            $data['cloud_layer3_altitude_m'],
                            $data['cloud_layer3_altitude_ft']);
                            
      //phpblock_debugWrite(" Sky var3: " .$sky_str);                            
      } else {
        $sky_str .= sprintf($strings['sky_str_format3'],
                            $data['cloud_layer2_condition'],
                            $data['cloud_layer2_altitude_m'],
                            $data['cloud_layer2_altitude_ft']);
                            
       //phpblock_debugWrite(" Sky var4: " .$sky_str);                            
      }
    }
  } else {
    $sky_str = $strings['sky_str_clear'];
  }
  $sky_str .= '.';
  
  
  /* Visibility. */
  if(isset($data['visibility_miles'])) {
    $visibility = sprintf($strings['visibility_format'],
                          $data['visibility_km'],
                          $data['visibility_miles']);
  } else {
    $visibility = '';
  }

  /* Wind. */
  if (isset($data['wind_meters_per_second']) &&
      $data['wind_meters_per_second'] > 0) {
    $wind_str = sprintf($strings['wind_str_format1'],
                        $data['wind_meters_per_second'],
                        $data['wind_miles_per_hour']);
    if (isset($data['wind_gust_meters_per_second']) &&
        $data['wind_gust_meters_per_second'] > 0) {
      $wind_str .= sprintf($strings['wind_str_format2'],
                           $data['wind_gust_meters_per_second'],
                           $data['wind_gust_miles_per_hour']);
    }
    $wind_str .= sprintf($strings['wind_str_format3'], $data['wind_dir_text']);
  } else {
    $wind_str = $strings['wind_str_calm'];
  }

  /* Windchill */
  if (isset($data['windchill_c'])) {
    $windchill_str = sprintf($strings['windchill'],
                             $data['windchill_c'],
                             $data['windchill_f']);
  } else {
    $windchill_str = '';
  }

  /* Precipitation. */
  $prec_str = '';
  if (isset($data['precip_in'])) {
    $prec_str .= pretty_print_precip($data['precip_mm'], $data['precip_in']) .
      $strings['precip_last_hour'];
  }
  if (isset($data['precip_6h_in'])) {
    $prec_str .= pretty_print_precip($data['precip_6h_mm'],
                                     $data['precip_6h_in']) .
      $strings['precip_last_6_hours'];
  }
  if (isset($data['precip_24h_in'])) {
    $prec_str .= pretty_print_precip($data['precip_24h_mm'],
                                     $data['precip_24h_in']) .
      $strings['precip_last_24_hours'];
  }
  if (isset($data['snow_in'])) {
    $prec_str .= sprintf($strings['precip_snow'],
                         $data['snow_mm'], $data['snow_in']);
  }

//phpblock_debugWrite(" Visibility is: " .$visibility);
//phpblock_debugWrite(" Wind is: " .$wind_str);
//phpblock_debugWrite(" Sky is: " .$sky_str);

// Browser Check
if(@eregi("(opera) ([0-9]{1,2}.[0-9]{1,3}){0,1}",$HTTP_USER_AGENT,$match) || @eregi("(opera/)([0-9]{1,2}.[0- 9]{1,3}){0,1}",$HTTP_USER_AGENT,$match))
{
$BName= "Opera"; $BVersion=$match[2];
}
elseif(eregi("(msie) ([0-9]{1,2}.[0-9]{1,3})",$HTTP_USER_AGENT,$match))
{
$BName = "MSIE"; $BVersion=$match[2];
}
	if (empty($temp)){
	$weather_image = '/images/temp_nodata.gif';
	$temp = '';
	$deg = '';
	$hours_old ='';
	$desc = $strings['no_data'];
	$location = $strings['na'];
	
	$return .= "<table width=\"100%\" border=\"0\" cellspacing=\"1\" cellpadding=\"1\">";
	$return .= "<tr><td align=\"left\"><b><font size=4>$location</font></b></td>";	
	if (($_USER['uid'] > 0)) {	
		if ($tp=='F') {
		        $return .="<form method=\"POST\" action=\"$siteurl/weather/weather_details.php?op=set_default_tp&tp=C&metar=$metar&region=$region\">";			
		        $return .= "<td align=\"right\">";
		        $return .= $strings['show_temp'];
		        $return .= "<br>";
			$return .="<input type=radio name=temp checked>";
			$return .= $strings['fahrenheit'];
			if ($BName=='MSIE' || $BName=='Opera') {
			$return .="<input type=radio name=temp OnClick=\"form.submit()\">";
			$return .= $strings['celsius'];			
			} else {
			$return .="<input type=radio name=temp>";
			$return .= $strings['celsius'];
			$return .= "&nbsp;<INPUT TYPE=SUBMIT VALUE=\"$go\">";
			}	
		} else {
			$return .="<form method=\"POST\" action=\"$siteurl/weather/weather_details.php?op=set_default_tp&tp=F&metar=$metar&region=$region\">";	
			$return .= "<td align=\"right\">";
			$return .= $strings['show_temp'];
			$return .= "<br>";
			if ($BName=='MSIE' || $BName=='Opera') {
			$return .="<input type=radio name=temp OnClick=\"form.submit()\">";
			$return .= $strings['fahrenheit'];
			$return .="<input type=radio name=temp checked>";
			$return .= $strings['celsius'];
			} else {
			$return .="<input type=radio name=temp>";
			$return .= $strings['fahrenheit'];
			$return .="<input type=radio name=temp checked>";
			$return .= $strings['celsius'];
			$return .="&nbsp;<INPUT TYPE=SUBMIT VALUE=\"$go\">";
			}		
		}
	} else {
	        if ($tp=='F') {	        	
			$return .="<form method=\"POST\" action=\"$siteurl/weather/weather_details.php?op=set_default_tp&tp=C&metar=$metar&region=$region\">";			
			$return .= "<td align=\"right\">";
			$return .= $strings['show_temp'];
			$return .= "<br>";
			$return .="<input type=radio name=temp checked>";
			$return .= $strings['fahrenheit'];
			if ($BName=='MSIE' || $BName=='Opera') {
			$return .="<input type=radio name=temp OnClick=\"form.submit()\">";
			$return .= $strings['celsius'];			
			} else {
			$return .="<input type=radio name=temp>";
			$return .= $strings['celsius'];
			$return .= "&nbsp;<INPUT TYPE=SUBMIT VALUE=\"$go\">";
			}				
		} else {
			$return.="<form method=\"POST\" action=\"$siteurl/weather/weather_details.php?op=set_default_tp&tp=F&metar=$metar&region=$region\">";
			$return .= "<td align=\"right\">";
			$return .= $strings['show_temp'];
			$return .= "<br>";
			if ($BName=='MSIE' || $BName=='Opera') {
			$return .="<input type=radio name=temp OnClick=\"form.submit()\">";
			$return .= $strings['fahrenheit'];
			$return .="<input type=radio name=temp checked>";
			$return .= $strings['celsius'];
			} else {
			$return .="<input type=radio name=temp>";
			$return .= $strings['fahrenheit'];
			$return .="<input type=radio name=temp checked>";
			$return .= $strings['celsius'];
			$return .="&nbsp;<INPUT TYPE=SUBMIT VALUE=\"$go\">";
			}		
		}	
	}
	$return .="</td></tr>";
	$return .="<tr><td colspan=\"3\"><hr width=\"100%\" size=\"2\" noshade=\"noshade\"></td></tr></table>";				
	$return .="<table border=\"0\">";
	$return .="<tr><td>";
	$return .="<font size=\"5\">". $temp . "";
        $return .="</font>" . $deg ."";
        $return .="</td>";
        $return .="<td><img src=\"" . $_CONF['site_url'] . "/weather/" . $weather_image . "\"></td>";      		
	$return .="</tr></table>";
	$return .="<br>$desc&nbsp;";
	$return .= $strings['select_again'];
	} else {
		
        $return .= "<table width=\"100%\" border=\"0\" cellspacing=\"1\" cellpadding=\"1\">";
	$return .= "<tr><td align=\"left\"><font size=4><b>$location - $region</font></b></td>";
			
	//if ($hours_old > 1) {
	//$return .="<br>Last updated $hours_old hours ago.";
	//}
		
	if (($_USER['uid'] > 0)) {	
		if ($tp=='F') {
		        $return .="<form method=\"POST\" action=\"$siteurl/weather/weather_details.php?op=set_default_tp&tp=C&metar=$metar&region=$region\">";			
		        $return .= "<td align=\"right\">";
		        $return .= $strings['show_temp'];
		        $return .= "<br>";
			$return .="<input type=radio name=temp checked>";
			$return .= $strings['fahrenheit'];
			if ($BName=='MSIE' || $BName=='Opera') {
			$return .="<input type=radio name=temp OnClick=\"form.submit()\">";
			$return .= $strings['celsius'];			
			} else {
			$return .="<input type=radio name=temp>";
			$return .= $strings['celsius'];
			$return .= "&nbsp;<INPUT TYPE=SUBMIT VALUE=\"$go\">";
			}	
		} else {
			$return .="<form method=\"POST\" action=\"$siteurl/weather/weather_details.php?op=set_default_tp&tp=F&metar=$metar&region=$region\">";	
			$return .= "<td align=\"right\">";
			$return .= $strings['show_temp'];
			$return .= "<br>";
			if ($BName=='MSIE' || $BName=='Opera') {
			$return .="<input type=radio name=temp OnClick=\"form.submit()\">";
			$return .= $strings['fahrenheit'];
			$return .="<input type=radio name=temp checked>";
			$return .= $strings['celsius'];
			} else {
			$return .="<input type=radio name=temp>";
			$return .= $strings['fahrenheit'];
			$return .="<input type=radio name=temp checked>";
			$return .= $strings['celsius'];
			$return .= "&nbsp;<INPUT TYPE=SUBMIT VALUE=\"$go\">";
			}		
		}
	} else {
	        if ($tp=='F') {	        	
			$return .="<form method=\"POST\" action=\"$siteurl/weather/weather_details.php?op=set_default_tp&tp=C&metar=$metar&region=$region\">";			
			$return .= "<td align=\"right\">";
			$return .= $strings['show_temp'];
			$return .= "<br>";
			$return .="<input type=radio name=temp checked>";
			$return .= $strings['fahrenheit'];
			if ($BName=='MSIE' || $BName=='Opera') {
			$return .="<input type=radio name=temp OnClick=\"form.submit()\">";
			$return .= $strings['celsius'];			
			} else {
			$return .="<input type=radio name=temp>";
			$return .= $strings['celsius'];
			$return .= "&nbsp;<INPUT TYPE=SUBMIT VALUE=\"$go\">";
			}				
		} else {
			$return.="<form method=\"POST\" action=\"$siteurl/weather/weather_details.php?op=set_default_tp&tp=F&metar=$metar&region=$region\">";
			$return .= "<td align=\"right\">";
			$return .= $strings['show_temp'];
			$return .= "<br>";
			if ($BName=='MSIE' || $BName=='Opera') {
			$return .="<input type=radio name=temp OnClick=\"form.submit()\">";
			$return .= $strings['fahrenheit'];
			$return .="<input type=radio name=temp checked>";
			$return .= $strings['celsius'];
			} else {
			$return .="<input type=radio name=temp>";
			$return .= $strings['fahrenheit'];
			$return .="<input type=radio name=temp checked>";
			$return .= $strings['celsius'];
			$return .= "&nbsp;<INPUT TYPE=SUBMIT VALUE=\"$go\">";
			}		
		}	
	}
	$return .="</td></tr>";
	$return.= "<tr><td colspan=\"3\"><hr width=\"100%\" size=\"2\" noshade=\"noshade\"></td></tr></table>";
	$return .="<table border=\"0\">";
	$return .="<tr><td>";
	$return .="<font size=\"5\">". $temp . "";
        $return .="</font>" . $deg ."";
        $return .="</td>";
        $return .="<td><img src=\"" . $_CONF['site_url'] . "/weather/" . $weather_image . "\"></td>";      		
	$return .="</tr></table>";		
	$return .="<table>";
	$return .="<tr><td><b>";
	$return .= $strings['detail_label1'];
	$return .="</b></td><td>$sky_str</td></tr>";	
	$return .="<tr><td><b>";
	$return .= $strings['detail_label2'];
	$return .="</b><td>$visibility</td></tr>";
	$return .="<tr><td><b>";
	$return .= $strings['detail_label3'];
	$return .="</b><td>Winds $wind_str.</td></tr>";
	$return .="<tr></td><td><b>";
	$return .= $strings['detail_label4'];
	$return .="</b><td>". $data['altimeter_hpa']."";
	$return .=" hpa (". $data['altimeter_inhg']. " inHg)</td></tr>";
	$return .="<tr><td><b>";
	$return .= $strings['detail_label5'];
	$return .="</b><td>". $dew ."". $deg . "</td></tr>";
	$return .="<tr></td><td><b>";
	$return .= $strings['detail_label6'];
	$return .="</b><td>". $data['rel_humidity']."%</td></tr>";	
	if (!empty($prec_str)){
	$perc = $prec_str;
	$return .= "<tr><td><b>";
	$return .= $strings['detail_label7'];
	$return .="</b><td>$perc</td></tr>";	
	}
		
	if (!empty($windchill_str)){
	$windchill = $windchill_str;
	$return .="<tr><td><b>";
	$return .= $strings['detail_label8'];
	$return .="</b><td>$windchill</td></tr>";	
	}
	$return .="<p>";
	
	if (($_USER['uid'] > 0)) {	
	if (!empty($location)){
		if ($metar==$_USER['weather_metar']){
			$return.= $strings['current'];
			$return.= "&nbsp;$location.<br><br>";	
	                $return.= "<a href=\"" . $_CONF['site_url'] . "/weather/admin.php?tp=$tp&region=$region\">";
			$return.= $strings['my_weather'];
			$return.="</a>";
		} else {
			$sql = "select location from {$_TABLES['weather']} where metar='" .$_USER['weather_metar']."'";	
			$row = DB_fetchArray(DB_query($sql));
			$default = $row[location];					
			$return.= $strings['current'];
			$return.= "&nbsp;$default.<br><br>";			
			$return.= "<p><a href=\"weather_details.php?op=set_as_user_default&metar=$metar&region=$region&tp=$tp\">";
			$return.= $strings['my_default2'];
			$return.= "&nbsp;$location&nbsp;";
			$return.= $strings['my_default3'];
			$return.= "</a>";
			$return.= "&nbsp;|&nbsp;";
			$return.= "<a href=\"" . $_CONF['site_url'] . "/weather/admin.php?tp=$tp&region=$region\">";
			$return.= $strings['my_weather'];
			$return.="</a>";
		}				   
	} else {	
		$return.= "<a href=\"" . $_CONF['site_url'] . "/weather/admin.php?tp=$tp&region=$region\">";
		$return.= $strings['my_weather'];
		$return.="</a>";	
        }		
		
        }
	
	}
	$return .="</form>";			
	$return.= "<tr><td colspan=\"3\"><hr width=\"100%\" size=\"2\" noshade=\"noshade\"></td></tr>";
	$return .="<table><tr><td align=left>";
	$sql = "select distinct region from {$_TABLES['weather']} order by region";	
	$query = DB_query($sql);
	$return .= "<form action=\"weather_details.php?tp=$tp\" method=\"post\">";
        
        if ($BName=='MSIE' || $BName=='Opera') {
	$return .= $strings['region']; 
	$return .= ":<select name=\"region\" onChange=\"submit()\">";
	$return .= "<option selected>";
	$return .= $strings['region_form'];
	$return .= "</option>";
	while ($row = DB_fetchArray($query)) {
		$return .= "<option value=\"$row[region]\">$row[region]</option>";
	}
	$return .= "</select>";
	} else {
        $return .= $strings['region']; 
	$return .= ":<select name=\"region\">";
	$return .= "<option selected>";
	$return .= $strings['region_form'];
	$return .= "</option>";
	while ($row = DB_fetchArray($query)) {
		$return .= "<option value=\"$row[region]\">$row[region]</option>";
	}
	$return .= "</select>";
	$return .= "&nbsp;<INPUT TYPE=SUBMIT VALUE=\"$go\">";		
	}
	$return .= "<input type=\"hidden\" name=\"send\" value=\"region\">";
	$return .= "</form></td>";
	
	if (!empty($metar)) {		
	$return .="<td align=left>";
	$sql = "select metar,location from {$_TABLES['weather']} where region='$region' order by location";	
	$query = DB_query($sql);
	$return .= "<form action=\"weather_details.php?metar=$metar&tp=$tp&region=$region\" method=\"post\">";
        if ($BName=='MSIE' || $BName=='Opera') {
	$return .= $strings['city'];
	$return .= "<select name=\"metar\" onChange=\"submit()\">";
	$return .= "<option selected>";
	$return .= $strings['city_form'];
	$return .= "</option>";
	while ($row = DB_fetchArray($query)) {
		$return .= "<option value=\"$row[metar]\">$row[location]</option>";
	}
	$return .= "</select>";
	} else {
	$return .= $strings['city'];
	$return .= "<select name=\"metar\">";
	$return .= "<option selected>";
	$return .= $strings['city_form'];
	$return .= "</option>";
	while ($row = DB_fetchArray($query)) {
		$return .= "<option value=\"$row[metar]\">$row[location]</option>";
	}
	
	$return .= "</select>";
	$return .= "&nbsp;<INPUT TYPE=SUBMIT VALUE=\"$go\">";
	}	
	}
	
	$return .= "</form></td>";		
	$return .="<td></td></tr><tr><div align=center>";
	$return .="</div></tr></td></table>";
		
	return $return;   
}

function set_as_user_default($metar){
	global $_TABLES, $_USER, $strings;
		
	if ($location == 'reset') {
		$sql = "update {$_TABLES['userprefs']} set weather_metar=NULL where uid='" . $_USER['uid'] . "'";
		DB_query($sql);
		$_USER['weather_metar'] = NULL;
	} else {
		$sql = "update {$_TABLES['userprefs']} set weather_metar='" . $metar . "' where uid='" . $_USER['uid'] . "'";
		DB_query($sql);
		$_USER['weather_metar'] = $metar;
	}
	
	//page redirect
	$save = $strings['save'];	
	redirect_header("" . $_CONF['site_url'] . "/weather/weather_details.php?tp=$tp&metar=$metar",1,"$save");	
 	exit();	
}

function set_default_tp($tp){
	global $_TABLES, $_USER;
	$sql = "update {$_TABLES['userprefs']} set weather_tp='" . $tp . "' where uid='" . $_USER['uid'] . "'";
	DB_query($sql);		
	
}

//Code from Blaine
function redirect_header($url, $time=4, $message=""){
    
    global $strings;
    
    $redir_msg = $strings['redirect'];
    $here = $strings['here'];	
	
    define("_IFNOTRELOAD","$redir_msg <a href=%s>$here</a>.");
	echo "<html><head>\n";
	echo "<meta http-equiv='Content-Type' content='text/html;' />\n";
	echo "<meta http-equiv='Refresh' content='$time; url=$url' />\n";
	echo "</head><body><div id='content'>\n";
	echo COM_siteHeader(menu);
	echo COM_startBlock($strings['admin_block']);			
	echo "<center><br/><b>\n";	
	echo $message;
	echo "<p>";
	printf(_IFNOTRELOAD,$url);
	echo "</b>\n";
	echo "</div></center>\n";
	echo COM_endBlock();
	echo COM_siteFooter(true);
}

switch ($op) {

case "set_as_user_default":
   set_as_user_default($metar); 
   break;

case "set_default_tp":
   set_default_tp($tp);
   break;   
}	 

if (isset($region) && empty($metar)) {

$sql = "select metar from {$_TABLES['weather']} where region='$region' order by location";
	$row = DB_fetchArray(DB_query($sql));
        $metar = $row[metar];  		
 
}

if (empty($metar) && empty($region)) {
		
  if(empty($_POST['metar'])){
	 $sql = "select metar,region from {$_TABLES['weather']} where wdefault=1";
	 $row = DB_fetchArray(DB_query($sql));
	    $metar = $row[metar];
  	    $region = $row[region];	
  } 	
  if(!empty($_POST['metar'])){	 
	  $sql = "select metar,region from {$_TABLES['weather']} where metar='$metar'";
	  $row = DB_fetchArray(DB_query($sql));
	    $metar = $row[metar];
  	    $region = $row[region];
  }		
}

if (empty($region)) {
		
  if (!empty($metar)){
  	$sql = "select region from {$_TABLES['weather']} where metar='$metar'";
	$row = DB_fetchArray(DB_query($sql));	    
  	    $region = $row[region];	
  } else {  
	  if(empty($_POST['metar'])){
		 $sql = "select metar,region from {$_TABLES['weather']} where wdefault=1";
		 $row = DB_fetchArray(DB_query($sql));
		    $metar = $row[metar];
	  	    $region = $row[region];	
	  } 	
	  if(!empty($_POST['metar'])){	 
		  $sql = "select metar,region from {$_TABLES['weather']} where metar='$metar'";
		  $row = DB_fetchArray(DB_query($sql));
		    $metar = $row[metar];
	  	    $region = $row[region];
	  }		
  }	  
}   		

if (empty($tp)) {
   if ($_USER['weather_tp']){
       $tp = $_USER['weather_tp'];
   } else {
       $tp = $_GW_default_tp;
   }  
}

//echo $metar;
//echo $tp;
//echo $region;
//echo $_POST['metar'];

$display  = COM_siteHeader();
$display .= COM_startBlock($strings['details_block']);
$display .= get_nws($metar, $tp, $region);
$display .= COM_endBlock();		         
$display .= COM_siteFooter();
echo $display;
?>
